/*
 *
 *  Computer as Headset utility
 *
 *  Copyright (C) 2009  Stjepan Gros <sgros@zemris.fer.hr>
 *
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License version 2 as
 *  published by the Free Software Foundation;
 *
 *  Software distributed under the License is distributed on an "AS
 *  IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or
 *  implied. See the License for the specific language governing
 *  rights and limitations under the License.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 *
 */

#include <stdio.h>

#include <pulse/pulseaudio.h>

#include <glib.h>

struct pa_mainloop *mainloop = NULL;
struct pa_context *context = NULL;
struct pa_stream *stream = NULL;

/* The Sample format to use */
static const pa_sample_spec ss = {
	.format = PA_SAMPLE_S16LE,
	.rate = 8000,
	.channels = 1
};

gint sound_init(char *appname)
{
	/* Set up a new main loop */
	if (!(mainloop = pa_mainloop_new())) {
		fprintf(stderr, "pa_mainloop_new() failed.\n");
		return -1;
	}

	if (!(context = pa_context_new(mainloop, appname))) {
		fprintf(stderr, "pa_context_new() failed.\n");
		return -1;
	}

	stream = pa_stream_new(context, appname, &ss, NULL);
	pa_stream_connect_playback(stream, NULL, NULL, 0, NULL, NULL);
	pa_stream_connect_record(stream, NULL, NULL, 0);
	return -1;
}
